List all evaluations

Retrieve a paginated list of all evaluations in the system. This endpoint supports pagination and filtering of evaluations based on various criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Filter policies by resource types.

Allowed:
string
enum

Filter policies by action types.

Allowed:
stage_key
array of objects

Filter policies by stage. Multiple values can be provided for filtering.

stage_key
stage_gate
array of objects

Filter policies by gate. Multiple values can be provided for filtering.

stage_gate
lifecycle_stage
object

Filter evaluations by lifecycle stage and gate combinations. Use deep object notation with array indices to specify multiple combinations. Examples:

  • Single: ?lifecycle_stage[0][key]=DEV&lifecycle_stage[0][gate]=Entry
  • Multiple: ?lifecycle_stage[0][key]=DEV&lifecycle_stage[0][gate]=Exit&lifecycle_stage[1][key]=QA&lifecycle_stage[1][gate]=Entry
string
enum

Filter evaluations by decision (pass, fail, warn, error)

Allowed:
string
length between 1 and 255

Filter policies by project key.

application_key
array of objects

Filter policies by application key. Multiple values can be provided for filtering.

application_key
string
length between 1 and 255

Filter evaluations by application version

id
array of objects

Query by the resource id. Multiple values can be provided for filtering.

id
int32
≥ 0
Defaults to 0

A page offset to the requested page.

int32
1 to 1000
Defaults to 100

An integer value representing the maximum number of items to include in the response.

string
enum
Defaults to desc

Sort direction.

Allowed:
string
enum
Defaults to timestamp

Sort evaluations by a specific field

  • timestamp: Sort by creation timestamp (default)
  • decision: Sort by evaluation decision (fail first, warn second, pass third, error last)
Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json